<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.water.mapper.DevicePumpMapper">

    <resultMap id="BaseResultMap" type="com.tofly.water.entity.DevicePump">
            <id property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="pumpId" column="PUMP_ID" jdbcType="VARCHAR"/>
            <result property="pumpGroupId" column="PUMP_GROUP_ID" jdbcType="VARCHAR"/>
            <result property="pumpGroupForPid" column="PUMP_GROUP_FOR_PID" jdbcType="VARCHAR"/>
            <result property="deleted" column="DELETED" jdbcType="VARCHAR"/>
            <result property="createdUser" column="CREATED_USER" jdbcType="VARCHAR"/>
            <result property="createdTime" column="CREATED_TIME" jdbcType="TIMESTAMP"/>
            <result property="updatedUser" column="UPDATED_USER" jdbcType="VARCHAR"/>
            <result property="updatedTime" column="UPDATED_TIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,PUMP_ID,PUMP_GROUP_ID,
        PUMP_GROUP_FOR_PID,DELETED,CREATED_USER,
        CREATED_TIME,UPDATED_USER,UPDATED_TIME
    </sql>
</mapper>
